summaryrefslogtreecommitdiffstats
path: root/app-misc/mumpot
diff options
context:
space:
mode:
Diffstat (limited to 'app-misc/mumpot')
-rw-r--r--app-misc/mumpot/Manifest2
-rw-r--r--app-misc/mumpot/mumpot-0.5.ebuild36
2 files changed, 38 insertions, 0 deletions
diff --git a/app-misc/mumpot/Manifest b/app-misc/mumpot/Manifest
new file mode 100644
index 0000000..a4a8d64
--- /dev/null
+++ b/app-misc/mumpot/Manifest
@@ -0,0 +1,2 @@
+DIST mumpot-0.5.tar.gz 549850 RMD160 4661dc1588c5423bbab9b5a3cd4682da4fac4e74 SHA1 2c9d4c13c4c9515bcfa1441d887908941bf09b3e SHA256 a7068ef399caa009bd7ddbc22a2b55408a6d65b431a1a0bde414b61a71bfda3f
+EBUILD mumpot-0.5.ebuild 763 RMD160 60de58c01dc99b8a510d8a34b265126794a9bb0e SHA1 a47e6c518de753b99d1227bb8a3c674150b9ccc3 SHA256 4fe2522e66b30e0b2360771d04eca92aef4c34c2b1bb973bfb61e12517ae7094
diff --git a/app-misc/mumpot/mumpot-0.5.ebuild b/app-misc/mumpot/mumpot-0.5.ebuild
new file mode 100644
index 0000000..d733a7b
--- /dev/null
+++ b/app-misc/mumpot/mumpot-0.5.ebuild
@@ -0,0 +1,36 @@
+inherit eutils
+
+DESCRIPTION="OSM map viewing, routing and simple editing program"
+HOMEPAGE="http://www.mumpot.org/"
+SRC_URI="http://www.mumpot.org/download/${P}.tar.gz"
+LICENSE="GPL-3"
+IUSE="nls curl"
+SLOT="0"
+KEYWORDS="x86 amd64"
+DEPEND="dev-libs/libxml2
+ >=x11-libs/gtk+-2
+ media-libs/libpng
+ media-libs/jpeg
+ app-arch/bzip2
+ net-wireless/bluez-libs
+ curl? ( net-misc/curl )
+ nls? ( sys-devel/gettext )"
+
+
+src_compile() {
+# libcurl is needed for uploading data to OSM
+ if use curl; then
+ OSM_UPLOAD=
+ else
+ OSM_UPLOAD=--disable-osmupload
+ fi
+ econf $(use_enable nls) $OSM_UPLOAD || die "econf failed"
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+ dodoc README || die "dodoc failed"
+}
+
+